You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@geode.apache.org by bb...@apache.org on 2019/05/24 18:47:03 UTC

[geode-native] branch develop updated: Install clang-format on Ubuntu build image

This is an automated email from the ASF dual-hosted git repository.

bbender pushed a commit to branch develop
in repository https://gitbox.apache.org/repos/asf/geode-native.git


The following commit(s) were added to refs/heads/develop by this push:
     new de24493  Install clang-format on Ubuntu build image
de24493 is described below

commit de24493b8c4813965c4c4ce1ace8e1a0e3e6090e
Author: Blake Bender <bb...@pivotal.io>
AuthorDate: Fri May 24 11:46:35 2019 -0700

    Install clang-format on Ubuntu build image
    
    Co-authored-by: Ivan Godwin <ig...@pivotal.io>
---
 packer/build-ubuntu.json              |  3 ++-
 packer/ubuntu/install-clang-format.sh | 22 ++++++++++++++++++++++
 2 files changed, 24 insertions(+), 1 deletion(-)

diff --git a/packer/build-ubuntu.json b/packer/build-ubuntu.json
index 8bfbeac..bf86055 100644
--- a/packer/build-ubuntu.json
+++ b/packer/build-ubuntu.json
@@ -63,7 +63,8 @@
         "ubuntu/add-user-build.sh",
         "ubuntu/install-packages.sh",
         "ubuntu/install-coverage-tools.sh",
-        "ubuntu/install-cmake.sh"
+        "ubuntu/install-cmake.sh",
+        "ubuntu/install-clang-format.sh"
       ]
     },
     {
diff --git a/packer/ubuntu/install-clang-format.sh b/packer/ubuntu/install-clang-format.sh
new file mode 100644
index 0000000..03a1ce1
--- /dev/null
+++ b/packer/ubuntu/install-clang-format.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -x -e -o pipefail
+
+apt-get -y install clang-format-6.0
+
+ln -s /usr/bin/clang-format-6.0 /usr/bin/clang-format
\ No newline at end of file